admin_login:
    path:     login/
    controller: App\Controller\Admin\DefaultController::login
admin_login_check:
    path:     login-check/
admin_logout:
    path:     logout/

admin_accommodation_list:
    path:     room/
    controller: App\Controller\Admin\AccommodationController::list
admin_accommodation_edit:
    path:     room/edit/{id}/
    controller: App\Controller\Admin\AccommodationController::edit
admin_accommodation_remove:
    path:     room/remove/{id}/
    controller: App\Controller\Admin\AccommodationController::remove
admin_accommodation_settings:
    path:     room/settings/
    controller: App\Controller\Admin\AccommodationController::settings

admin_booking_settings:
    path: booking/settings/
    controller: App\Controller\Admin\DefaultController::bookingSettings

admin_activity_list:
    path:     activity/
    controller: App\Controller\Admin\ActivityController::list
admin_activity_edit:
    path:     activity/edit/{id}/
    controller: App\Controller\Admin\ActivityController::edit
admin_activity_remove:
    path:     activity/remove/{id}/
    controller: App\Controller\Admin\ActivityController::remove
admin_activity_settings:
    path:     activity/settings/
    controller: App\Controller\Admin\ActivityController::settings

admin_contact_settings:
    path: contact/settings/
    controller: App\Controller\Admin\DefaultController::contactSettings

admin_settings:
    path:     settings/
    controller: App\Controller\Admin\DefaultController::settings
admin_settings_carousel_image_text:
    path:     settings/carousel/{imageHex}/
    controller: App\Controller\Admin\DefaultController::carouselImageText

admin_user_settings:
    path:     user-settings/
    controller: App\Controller\Admin\DefaultController::userSettings

# AJAX
ajax_accommodation_sort:
    path:     ajax-accommodation-sort/{accommodationIds}/
    controller: App\Controller\Admin\AccommodationController::sort
    options:
        expose: true
ajax_accommodation_toggle_state:
    path:     ajax-accommodation-toggle-state/{accommodationId}/
    controller: App\Controller\Admin\AccommodationController::toggleState
    options:
        expose: true

ajax_activity_sort:
    path:     ajax-activity-sort/{activityIds}/
    controller: App\Controller\Admin\ActivityController::sort
    options:
        expose: true
ajax_activity_toggle_state:
    path:     ajax-activity-toggle-state/{activityId}/
    controller: App\Controller\Admin\ActivityController::toggleState
    options:
        expose: true
